package com.huimv.eartag2.manage2.mapper;

import com.huimv.eartag2.manage2.pojo.EartagEartagRegister2;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.eartag2.manage2.pojo.pojovo.QingShanData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2022-08-04
 */
public interface EartagEartagRegister2Mapper extends BaseMapper<EartagEartagRegister2> {

    Date getLastBatchCreateDate(@Param("deviceCode") String deviceCode);

    List<EartagEartagRegister2> getLastBatchPig(@Param("deviceCode") String deviceCode, @Param("createDate") Date createDate);

    List<EartagEartagRegister2> getEartagByDeviceCode(@Param("deviceCode") String deviceCode);

    List<QingShanData> qingShanData(@Param("farmCode") String farmCode);
}
