package com.huimv.eartag2.manage2.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.common.utils.ResultCode;
import com.huimv.eartag2.manage2.pojo.EartagAbnormalCount;
import com.huimv.eartag2.manage2.mapper.EartagAbnormalCountMapper;
import com.huimv.eartag2.manage2.service.EartagAbnormalCountService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.sql.Wrapper;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zn
 * @since 2022-08-20
 */
@Service
public class EartagAbnormalCountServiceImpl extends ServiceImpl<EartagAbnormalCountMapper, EartagAbnormalCount> implements EartagAbnormalCountService {
    @Autowired
    private EartagAbnormalCountMapper eartagAbnormalCountMapper;

    @Override
    public Result listAbnormalCount(Map<String, String> map) {
        String farmCode = map.get("farmId")+"";
        String addDate = map.get("addDate")+"";
        QueryWrapper<EartagAbnormalCount> wrapper = new QueryWrapper();
        wrapper.eq("farm_code",farmCode).eq("add_date",addDate);
        EartagAbnormalCount eartagAbnormalCount = eartagAbnormalCountMapper.selectOne(wrapper);
        return new Result(ResultCode.SUCCESS,eartagAbnormalCount);
    }
}
